<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style>
        * {
            padding: 5px;
            font-size: 15pxpx;
        }

        div {
            width: 700px;
            height: 500px;
            border: 3px solid;
            padding: 5px;
            position: absolute;
            left: 27%;
            box-shadow: 5px 5px 10px black;
        }

        .btn {
            border: none;
            color: #fff;
            margin: 20px;
            height: 40px;
            width: 70px;
            font-size: 17px;
            font-weight: 500;
            letter-spacing: 1px;
            border-radius: 10px;
            cursor: pointer;
        }

        #btn1 {
            background-color: #4070f4;
        }

        #btn2 {
            background-color: red;
        }

        .number {
            height: 50px;
        }

        #btn3,
        #btn4,
        #btn5 {
            width: 100px;
            height: 40px;
            display: flex;
            justify-content: center;
            visibility: hidden;
            background-color: #4070f4;
        }
    </style>
</head>
<div>
    <label>Enter the number:</label>
    <input type="number" id="number">
    <button type="button" class="btn" id="btn1" onclick="pushNumber()">Add</button>
    <button type="button" class="btn" id="btn2" onclick="delnum()">Delete</button>
    <br>
    <label>myArray Elements : </label>
    <a id="pText"></a><br>
    <label>Number of pairs are :</label><a id="nPairs"></a>
    <br>
    <label>Values that are Greater than 10 :</label><a id="gNum"></a><br>
    <label>Any five numbers in sequence are :</label><a id="nSequance"></a><br>
    <label>Total</label><a id="nTotal"></a><br>
    <br>
    <button type="button" class="btn" id="btn3" onclick="pairs()">Pairs:</button>
    <button type="button" class="btn" id="btn4" onclick="greaterthen()">> 10</button>
    <button type="button" class="btn" id="btn5" onclick="sequence()">Sequence</button>
</div>


<script type="text/javascript">



    var myArray = [];
    var aPairList = [];

    //function for total
    function getTotal() {

        var sum = 0;
        var nInput = document.getElementById("number");

        for (i = 0; i < myArray.length; i++) {
            sum = sum + parseInt(myArray[i]);
        }
        document.getElementById("nTotal").innerHTML = sum;
    }

    /*For adding the element in the myArray*/

    function pushNumber() {
        var nInput = parseInt(document.getElementById("number").value);
        if (nInput == "") {
            alert("Please enter the number : ");
        }
        else {
            var number = document.getElementById('number').value;

            myArray.push(number);

            var numval = [];
            for (i = 0; i < myArray.length; i++) {
                numval = numval + myArray[i] + " ";


                if (myArray.length > 7) {
                    document.getElementById("btn3").style.visibility = "visible";
                    document.getElementById("btn4").style.visibility = "visible";
                    document.getElementById("btn5").style.visibility = "visible";
                }
                else {
                    document.getElementById("btn3").style.visibility = "hidden";
                    document.getElementById("btn4").style.visibility = "hidden";
                    document.getElementById("btn5").style.visibility = "hidden";
                }
            }
            document.getElementById('number').value = "";

            // display myArray data
            document.getElementById('pText').innerHTML = numval;
        }
        getTotal();
    }

    /*For deleting the element in the myArray*/

    function delnum() {
        var number = document.getElementById('number').value;

        const index = myArray.indexOf(number);
/*        console.log(index);*/

        if (index > -1) {
            myArray.splice(index, 1);
        }
        if (myArray.length > 7) {
            document.getElementById("btn3").style.visibility = "visible";
            document.getElementById("btn4").style.visibility = "visible";
            document.getElementById("btn5").style.visibility = "visible";
        }
        else {
            document.getElementById("btn3").style.visibility = "hidden";
            document.getElementById("btn4").style.visibility = "hidden";
            document.getElementById("btn5").style.visibility = "hidden";
        }

        document.getElementById('number').value = "";

        document.getElementById('pText').innerHTML = myArray;

        getTotal();
    }


    /*For finding the duplicate the element in the myArray*/

    function pairs() {
        myArray.sort();
        let nPair = 0;
        let i = 0;
        let total=0
        

        while (i < myArray.length) {
            let number = myArray[i];
            let nCounter = 1;
            i++;
            while (i < myArray.length && myArray[i] == number) {
                nCounter++;
                aPairList.push(myArray[i])
               /* console.log("aPairList" + aPairList)*/
                nsum = nsum + parseInt(myArray[i])*2;
                console.log(nsum)
                i++;
            }
            if (nCounter >= 2) {
                nPair = nPair + Math.floor(nCounter / 2);
            }
        }
        
        document.getElementById('nPairs').innerHTML = nPair;
        

    }



    /*For finding the element greater then 10 in the myArray*/
    function greaterthen() {
        var gmyArray = [];
        for (var i = 0; i < myArray.length; i++) {
            if (myArray[i] <= 10) {
                continue
            }
            else {
                gmyArray.push(myArray[i]);
            }
        }
/*        console.log(gmyArray);*/
        document.getElementById('gNum').innerHTML = gmyArray;
    }


    function sequence() {

        let nPair = 0;
        let i = 0;
        var newArray = [];
        while (i < myArray.length) {
        
            let number =parseInt(myArray[i]);
            // let pArray =parseInt(myArray[i]); 
            let isSequence = false
/*            console.log(myArray[i]+1);
            console.log(number);*/
            if (parseInt(myArray[i + 1]) === number + 1) {
                if (parseInt(myArray[i + 2]) === number + 2) {
                    if (parseInt(myArray[i + 3]) === number + 3) {
                        if (parseInt(myArray[i + 4])  === number + 4) {

                            newArray.push(myArray[i], myArray[i + 1], myArray[i + 2], myArray[i + 3], myArray[i + 4])
                            
                            nPair++
                            isSequence = true
                            let sArray = newArray.reduce((sum, num) => {
                                let num1 = parseInt(num);
                                let sum1 = parseInt(sum);
                                return sum1 + num1;
                            });



                            var total = myArray.reduce((num, sum) => {
                                let num1 = parseInt(num)
                                let sum2 = parseInt(sum)
                                return (num1 + sum2);
                            })

                            var fSum = total - sArray;

/*                            console.log("This IS Total"+total - sArray);*/
                        }
                    }
                }
            }
            
            if (isSequence) {
                i = i + 5
                isSequence = false
                document.getElementById('nSequance').innerHTML = nPair;
                document.getElementById("nTotal").innerHTML = fSum;
            }
            else {
                i++
            }
        }
    }


</script>
</body>

</html>